> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get component for a screening



## OpenAPI

````yaml get /screenings/{screeningPublicId}/components/{screeningComponentPublicId}
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /screenings/{screeningPublicId}/components/{screeningComponentPublicId}:
    get:
      tags:
        - Components
      summary: Get component for a screening
      operationId: >-
        get-screenings-{screeningPublicId}-components-{screeningComponentPublicId}
      parameters:
        - in: path
          name: screeningPublicId
          required: true
          schema:
            type: string
          example: '123'
        - in: path
          name: screeningComponentPublicId
          required: true
          schema:
            type: string
          example: '123'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScreeningComponentApiOutput'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetScreeningComponentApiOutput:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - screeningComponent_xxxxxxxxxxxx
        amount:
          type:
            - number
            - 'null'
        applicationWaste:
          type:
            - number
            - 'null'
        excludePallet:
          type: boolean
        excludedScreeningMaterials:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
                minLength: 16
                maxLength: 16
                examples:
                  - screeningMaterial_xxxxxxxxxxxx
            required:
              - publicId
        sourceScreening:
          type: object
          properties:
            product:
              type: object
              properties:
                name:
                  type:
                    - string
                    - 'null'
              required:
                - name
          required:
            - product
      required:
        - publicId
        - amount
        - applicationWaste
        - excludePallet
        - excludedScreeningMaterials
        - sourceScreening
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````